Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.bouncycastle.jce.provider
Class JDKDigestSignature

    java.lang.Object
      |
      +--java.security.SignatureSpi
            |
            +--java.security.Signature
                  |
                  +--org.bouncycastle.jce.provider.JDKDigestSignature

All Implemented Interfaces:
  PKCSObjectIdentifiers, X509ObjectIdentifiers

Direct Known Subclasses:
  JDKDigestSignature.MD2WithRSAEncryption, JDKDigestSignature.MD5WithRSAEncryption, JDKDigestSignature.RIPEMD160WithRSAEncryption, JDKDigestSignature.SHA1WithRSAEncryption

public class JDKDigestSignature
extends java.security.Signature
implements PKCSObjectIdentifiers, X509ObjectIdentifiers

Nested Class Summary
`static class` | `JDKDigestSignature.MD2WithRSAEncryption`
`static class` | `JDKDigestSignature.MD5WithRSAEncryption`
`static class` | `JDKDigestSignature.RIPEMD160WithRSAEncryption`
`static class` | `JDKDigestSignature.SHA1WithRSAEncryption`

Field Summary

Fields inherited from class java.security.Signature
`SIGN, state, UNINITIALIZED, VERIFY`

Fields inherited from class java.security.SignatureSpi
`appRandom`

Fields inherited from interface org.bouncycastle.asn1.pkcs.PKCSObjectIdentifiers
`bagtypes, canNotDecryptAny, certBag, crlBag, data, des_EDE3_CBC, dhKeyAgreement, digestedData, encryptedData, encryptionAlgorithm, envelopedData, id_aa, id_aa_encrypKeyPref, id_ct_compressedData, id_PBES2, id_PBKDF2, keyBag, md2, md2WithRSAEncryption, md4WithRSAEncryption, md5, md5WithRSAEncryption, pkcs_1, pkcs_12, pkcs_3, pkcs_5, pkcs_7, pkcs_9, pkcs_9_at_challengePassword, pkcs_9_at_contentType, pkcs_9_at_counterSignature, pkcs_9_at_emailAddress, pkcs_9_at_extendedCertificateAttributes, pkcs_9_at_extensionRequest, pkcs_9_at_friendlyName, pkcs_9_at_localKeyId, pkcs_9_at_messageDigest, pkcs_9_at_signingDescription, pkcs_9_at_signingTime, pkcs_9_at_smimeCapabilities, pkcs_9_at_unstructuredAddress, pkcs_9_at_unstructuredName, pkcs8ShroudedKeyBag, preferSignedData, RC2_CBC, rsaEncryption, safeContentsBag, secretBag, sha1WithRSAEncryption, sha256WithRSAEncryption, sha384WithRSAEncryption, sha512WithRSAEncryption, signedAndEnvelopedData, signedData, sMIMECapabilitiesVersions, srsaOAEPEncryptionSET, x509certType`

Fields inherited from interface org.bouncycastle.asn1.x509.X509ObjectIdentifiers
`commonName, countryName, id, id_ea_rsa, id_SHA1, localityName, ocspAccessMethod, organization, organizationalUnitName, ripemd160, ripemd160WithRSAEncryption, stateOrProvinceName`

Constructor Summary
`protected` | `JDKDigestSignature(java.lang.String name, DERObjectIdentifier objId, Digest digest, AsymmetricBlockCipher cipher)`

Method Summary
`protected java.lang.Object` | `engineGetParameter(java.lang.String param)` Deprecated.
`protected void` | `engineInitSign(java.security.PrivateKey privateKey)`
`protected void` | `engineInitVerify(java.security.PublicKey publicKey)`
`protected void` | `engineSetParameter(java.security.spec.AlgorithmParameterSpec params)`
`protected void` | `engineSetParameter(java.lang.String param, java.lang.Object value)` Deprecated. replaced with
`protected byte[]` | `engineSign()`
`protected void` | `engineUpdate(byte b)`
`protected void` | `engineUpdate(byte[] b, int off, int len)`
`protected boolean` | `engineVerify(byte[] sigBytes)`

Methods inherited from class java.security.Signature
`clone, getAlgorithm, getInstance, getInstance, getInstance, getParameter, getParameters, getProvider, initSign, initSign, initVerify, initVerify, setParameter, setParameter, sign, sign, toString, update, update, update, verify, verify`

Methods inherited from class java.security.SignatureSpi
`engineGetParameters, engineInitSign, engineSign, engineVerify`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### JDKDigestSignature

    protected JDKDigestSignature(java.lang.String name,
                                 DERObjectIdentifier objId,
                                 Digest digest,
                                 AsymmetricBlockCipher cipher)

Method Detail

### engineInitVerify

    protected void engineInitVerify(java.security.PublicKey publicKey)
                             throws java.security.InvalidKeyException

  Specified by:
    `engineInitVerify` in class `java.security.SignatureSpi`
    `java.security.InvalidKeyException`

### engineInitSign

    protected void engineInitSign(java.security.PrivateKey privateKey)
                           throws java.security.InvalidKeyException

  Specified by:
    `engineInitSign` in class `java.security.SignatureSpi`
    `java.security.InvalidKeyException`

### engineUpdate

    protected void engineUpdate(byte b)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineUpdate

    protected void engineUpdate(byte[] b,
                                int off,
                                int len)
                         throws java.security.SignatureException

  Specified by:
    `engineUpdate` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineSign

    protected byte[] engineSign()
                         throws java.security.SignatureException

  Specified by:
    `engineSign` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineVerify

    protected boolean engineVerify(byte[] sigBytes)
                            throws java.security.SignatureException

  Specified by:
    `engineVerify` in class `java.security.SignatureSpi`
    `java.security.SignatureException`

### engineSetParameter

    protected void engineSetParameter(java.security.spec.AlgorithmParameterSpec params)

  Overrides:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineSetParameter

    protected void engineSetParameter(java.lang.String param,
                                      java.lang.Object value)

  Deprecated. replaced with

  Specified by:
    `engineSetParameter` in class `java.security.SignatureSpi`

### engineGetParameter

    protected java.lang.Object engineGetParameter(java.lang.String param)

  Deprecated.

  Specified by:
    `engineGetParameter` in class `java.security.SignatureSpi`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Bouncy Castle Cryptography 1.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD